{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ encore_entry_link_tags('app') }}
{% endblock %}

{% block javascripts %}
    {{ encore_entry_script_tags('app') }}
{% endblock %}

{% block menu %}{% endblock %}

{% block body %}
<section class="min-vh-100 bg-primary">
    <div class="container py-5 h-100">
        <div class="row d-flex justify-content-center align-items-center h-100">
            <div class="col-12">
                <div class="card shadow-2-strong rounded-3">
                    <div class="card-body p-5 py-4 text-start">
                        <div class="row g-5 mb-4">
                            <header class="navbar bg-secondary-subtle rounded-3">
                                {% if appGlobals.loggedInUser is not null %}
                                    <div class="col-auto me-auto ms-3 py-2">
                                        {{ 'Logged-in user: {username}'
                                            |trans({
                                                'username':
                                                '<strong>' ~ appGlobals.loggedInUser|escape ~ '</strong>'})
                                            |raw
                                        }}
                                    </div>
                                {% endif %}

                                <div class="col-auto me-3">
                                    {% include 'languages.html.twig' %}
                                </div>
                            </header>
                        </div>

                        <div class="row g-5">
                            <nav class="col-12 col-md-auto p-0">
                                <div class="list-group list-group-flush m-0 p-3 text-nowrap bg-primary-subtle rounded-3">
                                    <a href="{{ path('account') }}"
                                       class="list-group-item list-group-item-primary list-group-item-action py-2">
                                        <span class="fas fa-home fa-fw me-3"></span>
                                        <span>{{ 'Home'|trans }}</span>
                                    </a>

                                    <a href="{{ appGlobals.webmailURL }}"
                                       class="list-group-item list-group-item-primary list-group-item-action py-2">
                                        <span class="fas fa-envelope fa-fw me-3"></span>
                                        <span>{{ 'Webmail'|trans }}</span>
                                    </a>

                                    {% if appGlobals.loggedInUser is not null %}
                                        <a href="{{ path('setup-account')}}"
                                           class="list-group-item list-group-item-primary list-group-item-action py-2">
                                            <span class="fas fa-user fa-fw me-3"></span>
                                            <span>{{ 'Account'|trans }}</span>
                                        </a>

                                        <a href="{{ path('account-logout')}}"
                                           class="list-group-item list-group-item-primary list-group-item-action py-2">
                                            <span class="fas fa-lock-open fa-fw me-3"></span>
                                            <span>{{ 'Log out'|trans }}</span>
                                        </a>
                                    {% endif %}
                                </div>
                            </nav>

                            <main class="col">
                                <section class="mb-4">
                                    {% block app_title %}{% endblock %}

                                    {% include 'flashes.html.twig' %}

                                    {% block app_body %}{% endblock %}
                                </section>
                            </main>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="row d-flex justify-content-center align-items-center h-100 mt-3">
            <div class="col text-center">
                <footer>
                    <a
                        href="https://www.craynic.com"
                        target="_blank"
                        class="link-light small link-underline link-offset-2
                            link-underline-opacity-0 link-underline-opacity-100-hover
                            ink-opacity-100-hover opacity-50"
                    >Craynic, s.r.o.</a>
                </footer>
            </div>
        </div>
    </div>
</section>
{% endblock %}
